#! /bin/bash

# Unlock last version of virtual/perl packages (helps if we upgrading to current unstable release)
(
    cd /usr/portage

    rm /etc/portage/package.keywords/xdeps-perl530.xgen.keywords
    for p in virtual/perl-*; do 
        (
            name=$(basename "$p")
            #cd "$p"
            
            regexp=$(echo "${p}/${name}-" | sed "s/\+/\\\\+/g")
            
            latest=$(ls "${p}/${name}"*.ebuild | sed -r "s#${regexp}##" | sort -V | tail -n 1)

            ebuild="${p}/${name}-${latest}"
            category=$(echo "$p" | awk -F '/' '{ print $1 }')
            package=$(basename $ebuild .ebuild)

            (cat $ebuild | grep perl-5.30 &> /dev/null) && echo "=$category/$package ~amd64" >> /etc/portage/package.keywords/xdeps-perl530.xgen.keywords
        )
    done
)
